s3games.player

## Enum Player.boardType

- java.lang.Object
- - java.lang.Enum<Player.boardType>
  - - s3games.player.Player.boardType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Player.boardType>
  Enclosing class:
    Player

      public static enum Player.boardType
      extends java.lang.Enum<Player.boardType>

  the type of game board where the game can be played

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REALWORLD`
    `SIMULATED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Player.boardType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Player.boardType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REALWORLD

          public static final Player.boardType REALWORLD

    - #### SIMULATED

          public static final Player.boardType SIMULATED

  - ### Method Detail

    - #### values

          public static Player.boardType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Player.boardType c : Player.boardType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Player.boardType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null